Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 694950 - Review Request: torrent-search - A torrent searching graphical application
Summary: Review Request: torrent-search - A torrent searching graphical application
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2011-04-09 04:07 UTC by Praveen Kumar
Modified: 2013-01-20 14:11 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-01-20 14:11:55 UTC


Attachments (Terms of Use)

Description Praveen Kumar 2011-04-09 04:07:09 UTC
Spec URL: http://kumarpraveen.fedorapeople.org/torrent-search/torrent-search.spec
SRPM URL: http://kumarpraveen.fedorapeople.org/torrent-search/torrent-search-0.9.2-1.fc14.src.rpm
Description: Torrent Search looks for torrent files on different websites, and allows the user to filter the results, making it very easy to find the torrent you want.

rpmlint output:
#rpmlint ../RPMS/noarch/torrent-search-0.9.2-1.fc14.noarch.rpm 
torrent-search.noarch: W: no-manual-page-for-binary torrent-search-gnomeapplet
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

Comment 1 Fabian Affolter 2011-04-11 06:45:11 UTC
Just some quick comments on your spec file:

- You are mixing macro and variable style
  https://fedoraproject.org/wiki/Packaging:Guidelines#Using_.25.7Bbuildroot.7D_and_.25.7Boptflags.7D_vs_.24RPM_BUILD_ROOT_and_.24RPM_OPT_FLAGS
- There is stuff for zsh. Wouldn't it be a good idea to put this in a subpackage?
- There is an empty %doc line. The html docs can go there.
- There is a missing BR for the locale files
  https://fedoraproject.org/wiki/Packaging:Guidelines#Handling_Locale_Files

Comment 2 Praveen Kumar 2011-04-11 07:22:12 UTC
Thanks for suggestions, Here is updated spec and srpm urls

Spec URL:
http://kumarpraveen.fedorapeople.org/torrent-search/torrent-search.spec
SRPM URL:
http://kumarpraveen.fedorapeople.org/torrent-search/torrent-search-0.9.2-2.fc14.src.rpm

Comment 3 Fabian Affolter 2011-04-11 21:36:19 UTC
Koji build failed:

http://koji.fedoraproject.org/koji/taskinfo?taskID=2994517

See also rpmlint output:

[fab@laptop023 SRPMS]$ rpmlint torrent-search-0.9.2-2.fc14.src.rpm 
torrent-search.src:47: W: libdir-macro-in-noarch-package (main package) %{_libdir}/bonobo/servers/TorrentSearch_Applet.server
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

Comment 4 Fabian Affolter 2011-04-11 21:48:23 UTC
(In reply to comment #1)
> - There is stuff for zsh. Wouldn't it be a good idea to put this in a
> subpackage?

Put the zsh stuff in zsh subpackage of torrent-search. 

- torrent-search is a gui application but rpmbuild is not picking up. The website claims that GTK is needed for the gui.
- Consider to remove the shebangs of the files in the %prep section instead of chmod in the %install section.

Comment 5 Praveen Kumar 2011-04-12 03:06:41 UTC
(In reply to comment #4)
> (In reply to comment #1)
> > - There is stuff for zsh. Wouldn't it be a good idea to put this in a
> > subpackage?
> 
> Put the zsh stuff in zsh subpackage of torrent-search. 
Done
> - torrent-search is a gui application but rpmbuild is not picking up. The
> website claims that GTK is needed for the gui.
Done
> - Consider to remove the shebangs of the files in the %prep section instead of
> chmod in the %install section.
Here do you mean only python files which are in install section?

Can you please tell me if the package is noarch then what macro should i use instead of %{_libdir} ?

Comment 6 Fabian Affolter 2011-04-12 20:29:27 UTC
(In reply to comment #5)
> (In reply to comment #4)
> > - Consider to remove the shebangs of the files in the %prep section instead of
> > chmod in the %install section.
> Here do you mean only python files which are in install section?

Well, as far as I can see those python files are not called directly. So the shebang is not needed. The other files have some wired permission.
What I tried to say was that file modification should be done in the %prep section. 

Please report the permission issue upstream.

> Can you please tell me if the package is noarch then what macro should i use
> instead of %{_libdir} ?

Something like (untested)...

%if "%{_lib}" == "lib64"
mv %{buildroot}%{_prefix}/lib/bonobo/servers/TorrentSearch_Applet.server \
   %{buildroot}%{_libdir}/bonobo/servers/TorrentSearch_Applet.server
%endif

...could to the work, but I'm not sure if that's permitted.

Comment 7 Praveen Kumar 2011-04-13 08:57:41 UTC
(In reply to comment #6)
> (In reply to comment #5)
> > (In reply to comment #4)
> > > - Consider to remove the shebangs of the files in the %prep section instead of
> > > chmod in the %install section.
> > Here do you mean only python files which are in install section?
> 
> Well, as far as I can see those python files are not called directly. So the
> shebang is not needed. The other files have some wired permission.
> What I tried to say was that file modification should be done in the %prep
> section. 
> 
> Please report the permission issue upstream.
Reported to upstream waiting for reply.

Comment 8 Michal Nowak 2011-05-04 13:45:45 UTC
Seeing "Bonobo" and "GNOME Applet" here makes me ask: How does torrent-search behaves in Fedora 15 with GNOME Shell?

Comment 9 Michal Nowak 2011-05-08 16:06:09 UTC
torrent-search_0.9.2.3 is out, update the spec file, please.

Comment 10 Michal Nowak 2011-05-08 16:26:11 UTC
Also noted I don't see icon in Menu->Internet->Torrent Search, seems like a problem with desktop file.

Comment 11 Praveen Kumar 2011-05-10 03:08:24 UTC
Thanks for reminding, I will do it with-in 2-3 days.

Comment 15 Fabian Affolter 2012-03-05 20:59:17 UTC
The latest release is 0.11.2.

Comment 16 Praveen Kumar 2012-03-10 06:37:56 UTC
Updated
SPEC : http://kumarpraveen.fedorapeople.org/torrent-search/torrent-search.spec
SRPM : http://kumarpraveen.fedorapeople.org/torrent-search/torrent-search-0.11.2-1.fc16.src.rpm

Koji Build :http://koji.fedoraproject.org/koji/taskinfo?taskID=3876783

I no longer use torrent-search so if someone want to take over it, please go ahead.

Comment 17 Michael Schwendt 2012-12-14 13:54:14 UTC
https://fedoraproject.org/wiki/Package_Review_Process
| 
| Wait for someone to review your package! At this point in the process,
| the fedora-review flag is blank, meaning that no reviewer is assigned.

An incorrectly/mistakably set fedora-review flag causes the ticket to be listed
as being worked on by somebody.


Note You need to log in before you can comment on or make changes to this bug.